
Foreman - Bug #6470

Hostgroup selection box does not honor create_hosts filter

07/02/2014 09:10 AM - Martin Matuška

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a new host, the hostgroup selection box shows all host groups (belonging to a organization) no matter what limitations

are defined in the Hosts/Managed create_hostss filter.

Related issues:

Is duplicate of Foreman - Feature #4477: Improve permissions on resources in ... Closed 02/27/2014

History

#1 - 07/02/2014 09:15 AM - Dominic Cleal

- Is duplicate of Feature #4477: Improve permissions on resources in host creation/editing form added

#2 - 07/02/2014 09:19 AM - Dominic Cleal

- Status changed from New to Duplicate

I'm going to tentatively mark this as a dupe of #4477, as this issue is prevalent across the whole host creation/edit form (e.g. with domains).  The form

wouldn't work well today if we restricted the related resources that users could see, as it would break on edit.

You raise an interesting point about the create_hosts permission - I don't think the filter would be applicable at all here, only for permissions that dealt

with existing objects (i.e. view_hosts, power etc.)  We'd likely only show host groups that match "view_hostgroups" if we did it.

#3 - 07/30/2014 04:31 AM - Neil Miao

"We'd likely only show host groups that match "view_hostgroups" if we did it."

I guess this hasn't done yet :-)

In 1.5.1-2 new/edit host form still shows all host groups when view_hostgroups filter is set.

#4 - 07/30/2014 04:37 AM - Dominic Cleal

Correct, please watch #4477.
